# Taskwarrior - jrnl task ingestion 

This little script allows simple interaction between `taskwarrior` and a `jrnl` file.
It parses the `jrnl` file and logs accomplished tasks in `taskwarrior`.

To accomplish this it borrows a little from the [todo.txt](http://todotxt.org/) syntax --- 
namely the idea of (A) (B) (C) prioritization and `x task done syntax` 
(i.e. starting a line with `x ` or `[x] ` means it represents an accomplished task).

## Usage

Point the file to your `jrnl` file (ideally it needs to be a single file) and 
set the syntax which declares a `todo` entry within it.

```bash
./open-todo-txt.py -f ~/.local/share/jrnl/journal.txt -b 'todotxt'
```

The commandline above sets the script to work on a specific `jrnl` file
and only work on entries which have exactly `todotxt` as their title.
The settings above are also the default settings of the script.

